%global commit        d4a1dba64e770a8150777067a791ba8fadc2e668
%global shortcommit   %(c=%{commit}; echo ${c:0:7})

Name:           AdobeHDS
Version:        0.0.0
Release:        1.%{shortcommit}%{?dist}
Summary:        PHP script to download Adobe HDS streams

Group:          Development/Libraries
                # https://github.com/K-S-V/Scripts/issues/7
License:        GPLv3
URL:            https://github.com/K-S-V/Scripts
Source0:        %{url}/archive/%{commit}/scripts-%{shortcommit}.tar.gz
BuildArch:      noarch

Requires:       php-cli


%description
AdobeHDS is a php script which can download a HDS stream, combining the
HDS fragments to a single file.


%prep
%setup -q -n Scripts-%{commit}
rm $( ls *.php | grep -v AdobeHDS.php )
sed -i 's/\r//' License.txt AdobeHDS.php
sed -i '1i#!/usr/bin/php' AdobeHDS.php


%build


%install
mkdir -p %{buildroot}%{_bindir}
install -m 755 AdobeHDS.php %{buildroot}%{_bindir}


%files
%doc ReadMe License.txt
%{_bindir}/AdobeHDS.php

%changelog
* Wed Nov 28 2012 Alec Leamas <leamas.alec@gmail.com> - 0.0.0-1.d4a1dba
- Initial version
